Bug 1482204 - Puppet reports recalculate all statuses (including errata status)
Summary: Puppet reports recalculate all statuses (including errata status)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Peter Ondrejka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1482208
TreeView+ depends on / blocked
 
Reported: 2017-08-16 17:49 UTC by Justin Sherrill
Modified: 2021-09-09 12:31 UTC (History)
14 users (show)

Fixed In Version: foreman-1.11.0.86-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1530696 (view as bug list)
Environment:
Last Closed: 2018-02-05 13:54:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman hotfix rpms for el7sat (7.83 MB, application/x-xz)
2017-08-28 15:25 UTC, Adam Price
no flags Details
foreman hotfix rpms for el6sat (8.83 MB, application/x-xz)
2017-08-28 15:25 UTC, Adam Price
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20622 0 None None None 2017-08-17 09:03:44 UTC
Red Hat Product Errata RHSA-2018:0273 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6 security, bug fix, and enhancement update 2018-02-08 00:35:29 UTC

Description Justin Sherrill 2017-08-16 17:49:51 UTC
Description of problem:

It appears that puppet reports cause all statuses to be updated: 

https://github.com/theforeman/foreman/blob/develop/app/services/report_importer.rb#L42

On a heavily loaded system this could mean this is being called 100s of times per second.  This is a fairly slow operation to be doing when not necessary.  

puppet reports should only refresh statuses that are relevant to them

Version-Release number of selected component (if applicable):
6.2.11

How reproducible:
always

Comment 6 Satellite Program 2017-08-17 10:17:59 UTC
Upstream bug assigned to lzap@redhat.com

Comment 7 Satellite Program 2017-08-17 10:18:02 UTC
Upstream bug assigned to lzap@redhat.com

Comment 9 Satellite Program 2017-08-24 10:18:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20622 has been resolved.

Comment 12 Adam Price 2017-08-28 15:30:38 UTC
=== HOTFIX INSTRUCTIONS FOR SATELLITE 6.2.11 ONLY ===

1. Download attachment file bz1482204-hotfix-rpms-el7sat.tar.xz or bz1482204-hotfix-rpms-el6sat.tar.xz depending on your Satellite host OS version
2. Stop Satellite services
  katello-service stop
3. Extract the tarball and install the packages in Satellite
4. Restart Satellite services
  katello-service start

Comment 16 Lukas Zapletal 2018-01-08 13:56:23 UTC
This bug has been fixed in 1.15.4 upstream release, it is part of latest drop. Moving on.

Comment 17 Evgeni Golov 2018-01-08 14:18:46 UTC
nope, this is the 6.2 clone

Comment 18 Lukas Zapletal 2018-01-09 07:34:41 UTC
Yeah, sorry. Done.

Comment 20 Peter Ondrejka 2018-01-12 12:36:33 UTC
Verified on Satellite 6.2.14, only HostStatus::ConfigurationStatus is marked for refresh after completed puppet report. Also logging is now more informative, e.g.:

2018-01-12 03:29:18 11f58ac7 [app] [I] Imported report for ...redhat.com in 0.06 seconds, status refreshed in 0.02 seconds

Comment 21 Lukas Zapletal 2018-01-17 14:12:31 UTC
HOTFIX BUILDS FOR 6.2.13:

http://people.redhat.com/~lzapleta/hotfix/status-all-1482204/

Comment 24 errata-xmlrpc 2018-02-05 13:54:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0273


Note You need to log in before you can comment on or make changes to this bug.